Bug 184004 - unable to install ports-mgmt/portaudit on fresh 10.0-BETA3
Summary: unable to install ports-mgmt/portaudit on fresh 10.0-BETA3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-15 17:10 UTC by Vick Khera
Modified: 2013-11-17 02:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vick Khera 2013-11-15 17:10:01 UTC
	

Trying out 10.0 to fix some port issues of ports I maintain (compiler errors).
When installing my normal base system utilities, I get this failure from portaudit:

[root@devbox]# portmaster ports-mgmt/portaudit

===>>> Port directory: /usr/ports/ports-mgmt/portaudit

===>>> Gathering distinfo list for installed ports

===>>> Gathering dependency list for ports-mgmt/portaudit from ports
===>>> Initial dependency check complete for ports-mgmt/portaudit


===>>> Starting build for ports-mgmt/portaudit <<<===

===>>> All dependencies are up to date

===>  Cleaning for portaudit-0.6.1
===>   portaudit-0.6.1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by portaudit-0.6.1 for building
===>  Extracting for portaudit-0.6.1
===>  Patching for portaudit-0.6.1
===>  Configuring for portaudit-0.6.1
===>  Building for portaudit-0.6.1
===>  Installing for portaudit-0.6.1
/usr/sbin/pkg_info missing, please install port sysutils/pkg_install-devel
*** Error code 1

Stop.
make: stopped in /n/yertle1/sources/ports/ports-mgmt/portaudit

===>>> Installation of portaudit-0.6.1 (ports-mgmt/portaudit) failed
===>>> Aborting update

===>>> Killing background jobs
Terminated

===>>> You can restart from the point of failure with this command line:
       portmaster <flags> ports-mgmt/portaudit

===>>> Exiting
[root@devbox]#

And there is no sysutils/pkg_install-devel port to install.

Fix: 

don't install portaudit for now. :(
How-To-Repeat: 	

portmaster ports-mgmt/portaudit
Comment 1 bsd 2013-11-15 22:09:32 UTC
See PR 183383 - pkg audit should be used instead of portaudit on system
using new pkg packaking system.
Comment 2 Edwin Groothuis freebsd_committer 2013-11-16 01:36:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ports-secteam

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon 2013-11-17 01:37:30 UTC
----- Forwarded message from "Simon L. B. Nielsen" <simon@qxnitro.org> -----

Date: Sat, 16 Nov 2013 13:35:47 -0500
From: "Simon L. B. Nielsen" <simon@qxnitro.org>
To: ports-secteam@freebsd.org
Cc: freebsd-ports-bugs@freebsd.org
Subject: Re: ports/184004: unable to install ports-mgmt/portaudit on fresh 10.0-BETA3

Should probably just mark portaudit as deprecated on FreeBSD > 10 and
point people at pkg audit.

----- End forwarded message -----
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2013-11-17 01:46:10 UTC
Responsible Changed
From-To: ports-secteam->eadler

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-11-17 02:00:38 UTC
Author: eadler
Date: Sun Nov 17 02:00:30 2013
New Revision: 334044
URL: http://svnweb.freebsd.org/changeset/ports/334044

Log:
  Clean up the portaudit port
  - let the ports-secteam maintain this port instead of secteam.  This should assign PRs to the appropriate place. [1]
  - recent freebsd versions should use pkg audit instead of portaudit
  - stagify
  - remove mention of preference file format changes which changed in 2004
  
  PR:		ports/184004 (partial
  Discussed with:	simon (many months ago) [1]

Added:
  head/ports-mgmt/portaudit/files/pkg-message.in   (contents, props changed)
Deleted:
  head/ports-mgmt/portaudit/pkg-install
  head/ports-mgmt/portaudit/pkg-req
Modified:
  head/ports-mgmt/portaudit/Makefile
  head/ports-mgmt/portaudit/pkg-plist

Modified: head/ports-mgmt/portaudit/Makefile
==============================================================================
--- head/ports-mgmt/portaudit/Makefile	Sun Nov 17 00:57:53 2013	(r334043)
+++ head/ports-mgmt/portaudit/Makefile	Sun Nov 17 02:00:30 2013	(r334044)
@@ -9,18 +9,14 @@ DISTFILES=
 MAINTAINER=	ports-secteam@FreeBSD.org
 COMMENT=	Checks installed ports against a list of security vulnerabilities
 
-MAN1=		portaudit.1
-
 PERIODICDIR?=	${PREFIX}/etc/periodic
 DATABASEDIR?=	/var/db/portaudit
 
-PKGREQ=		${WRKDIR}/pkg-req
-PKGINSTALL=	${WRKDIR}/pkg-install
-PKGDEINSTALL=	${WRKDIR}/pkg-deinstall
-
 PLIST_SUB+=	PERIODICDIR="${PERIODICDIR:S,^${PREFIX}/,,}" \
 		DATABASEDIR="${DATABASEDIR}"
 
+SUB_FILES=	pkg-message
+
 REQPKGVER=	20040623
 
 SED_SCRIPT=	-e 's|%%PREFIX%%|${PREFIX}|g' \
@@ -32,33 +28,27 @@ SED_SCRIPT=	-e 's|%%PREFIX%%|${PREFIX}|g
 		-e "s|%%REQPKGVER%%|${REQPKGVER}|g" \
 		-e "s|%%BZIP2_CMD%%|${BZIP2_CMD}|g" \
 
-NO_STAGE=	yes
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} > 1000000
+IGNORE=	use 'pkg audit' instead
+.endif
+
 do-build:
 .for f in portaudit-cmd.sh portaudit.sh portaudit.1 portaudit.conf
 	@${SED} ${SED_SCRIPT} ${FILESDIR}/${f} >${WRKDIR}/${f}
 .endfor
 
 post-build:
-.for f in pkg-req pkg-install pkg-deinstall
-	@${SED} ${SED_SCRIPT} ${PKGDIR}/${f} >${WRKDIR}/${f}
-.endfor
-
-pre-install:
-.if !defined(PACKAGE_BUILDING)
-	@${SETENV} "PKG_PREFIX=${PREFIX}" ${SH} ${PKGREQ} ${PKGNAME} INSTALL
-.endif
-	@${SETENV} "PKG_PREFIX=${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
+	@${SED} ${SED_SCRIPT} ${PKGDIR}/pkg-deinstall >${WRKDIR}/pkg-deinstall
 
 do-install:
-	@${INSTALL_SCRIPT} ${WRKDIR}/portaudit-cmd.sh ${PREFIX}/sbin/portaudit
-	@${INSTALL_DATA} ${WRKDIR}/portaudit.conf ${PREFIX}/etc/portaudit.conf.sample
-	@${INSTALL_DATA} ${FILESDIR}/portaudit.pubkey ${PREFIX}/etc
-	@${INSTALL_MAN} ${WRKDIR}/portaudit.1 ${MAN1PREFIX}/man/man1
-	@${MKDIR} ${PERIODICDIR}/security
-	@${INSTALL_SCRIPT} ${WRKDIR}/portaudit.sh ${PERIODICDIR}/security/410.portaudit
-	@${MKDIR} ${DATABASEDIR}
-
-post-install:
-	@${SETENV} "PKG_PREFIX=${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
+	@${INSTALL_SCRIPT} ${WRKDIR}/portaudit-cmd.sh ${STAGEDIR}${PREFIX}/sbin/portaudit
+	@${INSTALL_DATA} ${WRKDIR}/portaudit.conf ${STAGEDIR}${PREFIX}/etc/portaudit.conf.sample
+	@${INSTALL_DATA} ${FILESDIR}/portaudit.pubkey ${STAGEDIR}${PREFIX}/etc
+	@${INSTALL_MAN} ${WRKDIR}/portaudit.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
+	@${MKDIR} ${STAGEDIR}${PERIODICDIR}/security
+	@${INSTALL_SCRIPT} ${WRKDIR}/portaudit.sh ${STAGEDIR}${PERIODICDIR}/security/410.portaudit
+	@${MKDIR} ${STAGEDIR}${DATABASEDIR}
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Added: head/ports-mgmt/portaudit/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/ports-mgmt/portaudit/files/pkg-message.in	Sun Nov 17 02:00:30 2013	(r334044)
@@ -0,0 +1,3 @@
+To check your installed ports for known vulnerabilities now, do:
+
+%%PREFIX%%/sbin/portaudit -Fda"

Modified: head/ports-mgmt/portaudit/pkg-plist
==============================================================================
--- head/ports-mgmt/portaudit/pkg-plist	Sun Nov 17 00:57:53 2013	(r334043)
+++ head/ports-mgmt/portaudit/pkg-plist	Sun Nov 17 02:00:30 2013	(r334044)
@@ -1,6 +1,7 @@
 sbin/portaudit
 etc/portaudit.pubkey
 etc/portaudit.conf.sample
+man/man1/portaudit.1.gz
 %%PERIODICDIR%%/security/410.portaudit
 @dirrmtry %%PERIODICDIR%%/security
 @dirrmtry %%PERIODICDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2013-11-17 02:05:48 UTC
State Changed
From-To: open->closed

portaudit changed to mention pkg audit